#ifndef _COMMON_WINDOW_HPP_
#define _COMMON_WINDOW_HPP_
#ifndef _COMMON_WINDOWS_HPP_
#include <common/windows.hpp>
#endif
#ifndef _COMMON_GUIWINDOW_HPP_
#include <common/guiwnd.hpp>
#endif

class Window : public GUIWindow
{
public:
  Window(void);
	virtual ~Window();
protected:
	virtual int windowProcedure(HWND hWnd,WORD message,WPARAM wParam,LPARAM lParam);
private:
	Window(HWND hWnd);
	Window(const Window &someWindow);
	Window &operator=(const Window &someWindow);
};

inline
Window::Window(void)
{
}

inline
Window::Window(HWND /*hWnd*/)
{ // private implementation
}

inline
Window::Window(const Window &/*someWindow*/)
{  // private implementation
}

inline
Window::~Window()
{
}

inline
Window &Window::operator=(const Window &/*someWindow*/)
{ // private implementation
  return *this;
}
#endif
